From 72227c0cf44f6c5793672274dd7ffe9cab202922 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Apr 2025 10:26:01 +0000
Subject: [PATCH] linux-firmware: upgrade 20250311 -> 20250410

---
 ...20250311.bb => linux-firmware_20250410.bb} | 413 +++++++++++++++++-
 1 file changed, 411 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20250311.bb => linux-firmware_20250410.bb} (85%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20250311.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb
similarity index 85%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20250311.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb
index 675d378376..f4e757eb17 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20250311.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb
@@ -1,3 +1,412 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -1022,25 +1022,25 @@
+#  Version: 74.a5e9588b.0
+#  
+#  File: iwlwifi-cc-a0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-Qu-b0-hr-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-Qu-b0-jf-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-Qu-c0-hr-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-Qu-c0-jf-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-QuZ-a0-hr-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-QuZ-a0-jf-b0-77.ucode
+# -Version: 74.b405f9d4.0
+# +Version: 74.2753b721.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1064,7 +1064,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1088,7 +1088,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1112,7 +1112,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1133,7 +1133,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-so-a0-jf-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1149,6 +1149,9 @@
+#  File: iwlwifi-bz-b0-gf-a0-96.ucode
+#  Version: 93.44729d4e.0
+#  
+# +File: iwlwifi-bz-b0-gf-a0-97.ucode
+# +Version: 94.8049d69b.0
+# +
+#  File: iwlwifi-bz-b0-gf-a0.pnvm
+#  
+#  File: iwlwifi-gl-c0-fm-c0-83.ucode
+# @@ -1169,6 +1172,9 @@
+#  File: iwlwifi-gl-c0-fm-c0-96.ucode
+#  Version: 93.44729d4e.0
+#  
+# +File: iwlwifi-gl-c0-fm-c0-97.ucode
+# +Version: 94.8049d69b.0
+# +
+#  File: iwlwifi-gl-c0-fm-c0.pnvm
+#  
+#  File: iwlwifi-bz-b0-fm-c0-92.ucode
+# @@ -1183,6 +1189,9 @@
+#  File: iwlwifi-bz-b0-fm-c0-96.ucode
+#  Version: 93.44729d4e.0
+#  
+# +File: iwlwifi-bz-b0-fm-c0-97.ucode
+# +Version: 94.8049d69b.0
+# +
+#  File: iwlwifi-bz-b0-fm-c0.pnvm
+#  
+#  File: iwlwifi-ma-b0-gf-a0-83.ucode
+# @@ -1192,7 +1201,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0.pnvm
+#  
+# @@ -1203,7 +1212,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0.pnvm
+#  
+# @@ -1214,7 +1223,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-hr-b0-89.ucode
+# -Version: 86.1a492d28.0
+# +Version: 86.4d42c933.0
+#  
+#  Licence: Redistributable. See LICENCE.iwlwifi_firmware for details
+#  
+# @@ -2075,6 +2084,14 @@
+#  File: radeon/si58_mc.bin
+#  
+#  Licence: Redistributable. See LICENSE.radeon for details.
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: as21xxx - Aeonsemi AS21x1x 1G/2.5G/5G/10G Ethernet Phy
+# +
+# +File: aeonsemi/as21x1x_fw.bin
+# +
+# +Licence: Redistributable. See LICENSE.aeonsemi for details.
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -3394,6 +3411,7 @@
+#  File: rtw88/rtw8703b_fw.bin
+#  File: rtw88/rtw8703b_wow_fw.bin
+#  File: rtw88/rtw8812a_fw.bin
+# +File: rtw88/rtw8814a_fw.bin
+#  
+#  Licence: Redistributable. See LICENCE.rtlwifi_firmware.txt for details.
+#  
+# @@ -4225,6 +4243,14 @@
+#  File: intel/ibt-0190-0041.sfi
+#  File: intel/ibt-0190-0041-iml.sfi
+#  File: intel/ibt-0190-0041.ddc
+# +File: intel/ibt-0190-0041-pci.ddc
+# +File: intel/ibt-0190-0041-pci.sfi
+# +File: intel/ibt-0190-0041-usb.ddc
+# +File: intel/ibt-0190-0041-usb.sfi
+# +File: intel/ibt-0190-0291-pci.ddc
+# +File: intel/ibt-0190-0291-pci.sfi
+# +File: intel/ibt-0190-0291-usb.ddc
+# +File: intel/ibt-0190-0291-usb.sfi
+#  Version: BT_BlazarI_S_REL82746_23.120.25071.82746
+#  
+#  Licence: Redistributable. See LICENCE.ibt_firmware for details
+# @@ -4763,9 +4789,17 @@
+#  Version: BTFW.HSP.2.1.0-00653-VER_PATCHZ-3
+#  File: qca/QCA2066/nvm_usb_00130201_030a.bin
+#  File: qca/QCA2066/nvm_usb_00130201_gf_030a.bin
+# -Version: BTFW.HAMILTON.2.0.0-00515-USB_PATCHZ-2
+# +Version: BTFW.HAMILTON.2.0.0-00790-USB_PATCHZ-3
+#  File: qca/nvm_usb_00190200.bin
+# +File: qca/nvm_usb_00190200_0104.bin
+# +File: qca/nvm_usb_00190200_0106.bin
+# +File: qca/nvm_usb_00190200_0108.bin
+# +File: qca/nvm_usb_00190200_0109.bin
+# +File: qca/nvm_usb_00190200_010a.bin
+# +File: qca/nvm_usb_00190200_010c.bin
+#  File: qca/nvm_usb_00190200_010e.bin
+# +File: qca/nvm_usb_00190200_0110.bin
+# +File: qca/nvm_usb_00190200_0111.bin
+#  File: qca/nvm_usb_00190200_0112.bin
+#  
+#  Licence: Redistributable. See LICENSE.QualcommAtheros_ath10k and qca/NOTICE.txt for details
+# @@ -5881,6 +5915,8 @@
+#  Version: v2.0.20536
+#  File: mediatek/mt8195/scp.img
+#  Version: v2.0.21961
+# +File: mediatek/mt8188/scp.img
+# +Version: v2.0.27748
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6339,7 +6375,7 @@
+#  Link: qcom/vpu-1.0/venus.mbn -> ../vpu/vpu20_p4.mbn
+#  Link: qcom/vpu-1.0/venus.mdt -> ../vpu/vpu20_p4.mbn
+#  
+# -Version: VIDEO.VPU.1.0-00097-PROD-1
+# +Version: VIDEO.VPU.1.0-00119-PROD-1
+#  
+#  File: qcom/vpu/vpu20_p1.mbn
+#  Link: qcom/vpu-2.0/venus.mbn -> ../vpu/vpu20_p1.mbn
+# @@ -6527,6 +6563,8 @@
+#  Version: CDSP.HT.2.6-00698-MAKENA-1
+#  File: qcom/sc8280xp/LENOVO/21BX/qcslpi8280.mbn
+#  Version: SLPI.HY.4.1-00048-MAKENA-1
+# +File: qcom/x1e80100/LENOVO/21N1/qcvss8380.mbn
+# +Version: vfw-3.1:rel0085-070fa3311d9ef968015fee7fea07198d7eb208a1
+#  File: qcom/x1e80100/adsp.mbn
+#  File: qcom/x1e80100/adsp_dtb.mbn
+#  Version: ADSP.HT.5.9-00796-HAMOA-1
+# @@ -6546,6 +6584,21 @@
+#  RawFile: qcom/x1e80100/LENOVO/21N1/cdspr.jsn
+#  File: qcom/x1e80100/LENOVO/21N1/qcdxkmsuc8380.mbn
+#  RawFile: qcom/x1e80100/LENOVO/21N1/battmgr.jsn
+# +File: qcom/x1e80100/LENOVO/83ED/adsp_dtbs.elf
+# +RawFile: qcom/x1e80100/LENOVO/83ED/adspr.jsn
+# +RawFile: qcom/x1e80100/LENOVO/83ED/adsps.jsn
+# +RawFile: qcom/x1e80100/LENOVO/83ED/adspua.jsn
+# +RawFile: qcom/x1e80100/LENOVO/83ED/battmgr.jsn
+# +RawFile: qcom/x1e80100/LENOVO/83ED/cdspr.jsn
+# +File: qcom/x1e80100/LENOVO/83ED/qcadsp8380.mbn
+# +Version: ADSP.HT.5.9.c1-00059-HAMOA-1
+# +File: qcom/x1e80100/LENOVO/83ED/qcav1e8380.mbn
+# +Version: CDSP.HT.2.9.c2-00051-HAMOA-1
+# +File: qcom/x1e80100/LENOVO/83ED/qccdsp8380.mbn
+# +Version: CDSP.HT.2.9.c2-00051-HAMOA-1
+# +File: qcom/x1e80100/LENOVO/83ED/qcdxkmsuc8380.mbn
+# +File: qcom/x1e80100/LENOVO/83ED/qcvss8380.mbn
+# +Version: video-firmware.3.1-e5aea20c64cb6df9a1c9be99e206053b36424939
+#  
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+# @@ -6578,6 +6631,15 @@
+#  Version: DSP.AT.1.0.1-00079.2-LEMANS-1
+#  RawFile: qcom/sa8775p/gpdsp1r.jsn
+#  RawFile: qcom/sa8775p/gpdspr.jsn
+# +File: qcom/qcs8300/adsp.mbn
+# +Version: DSP.AT.1.0.1-00096-LEMANS-1
+# +RawFile: qcom/qcs8300/adspr.jsn
+# +RawFile: qcom/qcs8300/adspua.jsn
+# +File: qcom/qcs8300/cdsp0.mbn
+# +Version: DSP.AT.1.0.1-00096-LEMANS-1
+# +RawFile: qcom/qcs8300/cdspr.jsn
+# +File: qcom/qcs8300/gpdsp0.mbn
+# +Version: DSP.AT.1.0.1-00096-LEMANS-1
+#  
+#  Licence: Redistributable. See LICENSE.qcom-2 and qcom/NOTICE.txt for details
+#  
+# @@ -6671,6 +6733,10 @@
+#  File: mellanox/mlxsw_spectrum2-29.2012.1012.mfa2
+#  File: mellanox/mlxsw_spectrum3-30.2012.1012.mfa2
+#  File: mellanox/mlxsw_spectrum4-34.2012.1012.mfa2
+# +File: mellanox/mlxsw_spectrum-13.2014.4012.mfa2
+# +File: mellanox/mlxsw_spectrum2-29.2014.4012.mfa2
+# +File: mellanox/mlxsw_spectrum3-30.2014.4012.mfa2
+# +File: mellanox/mlxsw_spectrum4-34.2014.4012.mfa2
+#  
+#  Licence:
+#   Copyright (c) 2017-2020 Mellanox Technologies, Ltd. All rights reserved.
+# @@ -7662,6 +7728,57 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8b8f-l1.bin -> cs35l41-dsp1-spk-prot-103c8b8f-r1.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-103c8b92.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-103c8c26.bin -> cs35l41-dsp1-spk-prot-103c8b45.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9f.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da7-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e36-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9f-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da0.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da1.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e37.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da8.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8da0-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8da0-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da1-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da1-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e37-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e37-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da8-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8da8-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8da0-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9b.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9c.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9d.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9c-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9c-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9d-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9d-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8d9e-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8d9b-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e11.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e12.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e13.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e60.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e61.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e12-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e12-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e13-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e13-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e60-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e60-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e61-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e61-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62-spkid0.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-103c8e62-spkid1.bin -> cs35l41-dsp1-spk-prot-103c8e11-spkid1.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbd.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbe.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10280cbf.wmfw -> cs35l41/v6.61.1/halo_cspl_RAM_revB2_29.63.1.wmfw
+# @@ -7882,12 +7999,12 @@
+#  Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1a.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+#  Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1a-amp1.bin -> cs35l54-b0-dsp1-misc-103c8e15-amp1.bin
+#  Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1a-amp2.bin -> cs35l54-b0-dsp1-misc-103c8e15-amp2.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1b.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8e1b-amp1.bin
+# -File: cirrus/cs35l54-b0-dsp1-misc-103c8e1b-amp2.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1c.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1c-amp1.bin -> cs35l54-b0-dsp1-misc-103c8e1b-amp1.bin
+# -Link: cirrus/cs35l54-b0-dsp1-misc-103c8e1c-amp2.bin -> cs35l54-b0-dsp1-misc-103c8e1b-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-103c8e1b.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-103c8e1b-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-103c8e1b-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-103c8e1c.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+# +Link: cirrus/cs35l56-b0-dsp1-misc-103c8e1c-amp1.bin -> cs35l56-b0-dsp1-misc-103c8e1b-amp1.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-103c8e1c-amp2.bin -> cs35l56-b0-dsp1-misc-103c8e1b-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c.wmfw -> cs35l56/CS35L56_Rev3.11.11.1.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c-amp1.bin -> cs35l56-b0-dsp1-misc-103c8d90-amp1.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-103c8e2c-amp2.bin -> cs35l56-b0-dsp1-misc-103c8d90-amp2.bin
+# @@ -7906,6 +8023,8 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp1.bin -> cs35l56-b0-dsp1-misc-10431df3-amp1.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp2.bin -> cs35l56-b0-dsp1-misc-10431df3-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp3.bin -> cs35l56-b0-dsp1-misc-10431df3-amp3.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp4.bin -> cs35l56-b0-dsp1-misc-10431df3-amp4.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp2.bin
+# @@ -8039,6 +8158,14 @@
+#  File: mediatek/sof-tplg/sof-mt8195-mt6359-max98390-rt5682.tplg
+#  Version: v0.4.3
+#  
+# +File: mediatek/sof/sof-mt8188.ri
+# +File: mediatek/sof/sof-mt8188.ldc
+# +File: mediatek/sof-tplg/sof-mt8188.tplg
+# +Version: v2.8
+# +
+# +File: mediatek/sof-tplg/sof-mt8195.tplg
+# +Version: v2.8
+# +
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+#  --------------------------------------------------------------------------
+# @@ -8128,6 +8255,21 @@
+#  
+#  --------------------------------------------------------------------------
+#  
+# +Driver: qcom-x1e80100 - Qualcomm ASoC tplg Firmware
+# +File: qcom/x1e80100/LENOVO/21N1/X1E80100-LENOVO-Thinkpad-T14s-tplg.bin
+# +Link: qcom/x1e80100/X1E80100-LENOVO-Thinkpad-T14s-tplg.bin -> LENOVO/21N1/X1E80100-LENOVO-Thinkpad-T14s-tplg.bin
+# +Version: v0.1.0
+# +Info: DATE=17.03.2025
+# +
+# +File: qcom/x1e80100/LENOVO/83ED/X1E80100-LENOVO-Yoga-Slim7x-tplg.bin
+# +Link: qcom/x1e80100/X1E80100-LENOVO-Yoga-Slim7x-tplg.bin -> LENOVO/83ED/X1E80100-LENOVO-Yoga-Slim7x-tplg.bin
+# +Version: v0.1.0
+# +Info: DATE=17.03.2025
+# +
+# +Licence: Redistributable. See LICENCE.linaro for details
+# +Originates from https://github.com/linux-msm/audioreach-topology.git
+# +
+# +--------------------------------------------------------------------------
+#  Driver: ti-tas2781 - tas2781 firmware
+#  File: ti/tas2781/TAS2XXX0C94.bin
+#  File: ti/tas2781/TAS2XXX0C95.bin
+# @@ -8343,11 +8485,11 @@
+#  Driver: intel_vpu -- Intel NPU driver
+#  
+#  File: intel/vpu/vpu_37xx_v1.bin
+# -Version: ci_tag_ud202504_vpu_rc_20250115_1905
+# +Version: ci_tag_ud202512_vpu_rc_20250306_1130
+#  Link: intel/vpu/vpu_37xx_v0.0.bin -> vpu_37xx_v1.bin
+#  
+#  File: intel/vpu/vpu_40xx_v1.bin
+# -Version: ci_tag_ud202504_vpu_rc_20250115_1905
+# +Version: ci_tag_ud202512_vpu_rc_20250306_1130
+#  Link: intel/vpu/vpu_40xx_v0.0.bin -> vpu_40xx_v1.bin
+#  
+#  License: Redistributable. See LICENSE.intel_vpu for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -156,7 +565,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=7ddfb44c16e34dcd8bbacc4839ab78dc \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -250,7 +659,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "b1083a36f19aea46f661dcfd4cd462d13933dcb4e7f0dc809525552dd5c3541d"
+SRC_URI[sha256sum] = "2ae6aab2d8930fd54bf30ae15498f1625721bc3630b894644db5d21fad5a20f9"
 
 inherit allarch
 
-- 
2.47.1

